Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » P2 » Problems during first steps with p2.gathering=true
Problems during first steps with p2.gathering=true [message #641385] Thu, 25 November 2010 09:42 Go to next message
Daniel Krügler is currently offline Daniel Krügler
Messages: 853
Registered: July 2009
Senior Member
Since years we have a well-working (non-p2) headless PDE build of a
product-based RCP application. We used Eclipse 3.3 as the builder, even
though we were always using the most recent Eclipse version in our RCP
program. Recently we also switched to Eclipse 3.6.1 as builder tool and
as target platform of our RCP. No problems so far.

Now we would like to take advantage of the p2-dropins (but don't want to
make any other p2-related features visible in the UI) and thus want to
activate p2.gathering=true as suggested in the article:

http://aniefer.blogspot.com/2009/03/building-p2-rcp-products -in-eclipse.html

We also did the following changes:

1) We added to the plug-in list of our RCP feature the plug-in
org.eclipse.equinox.p2.reconciler.dropins and all it's computed
dependent plug-ins.

2) We added org.eclipse.equinox.p2.reconciler.dropins to the
configuration section of our .product file with autostart set to true
and the default start-level (other explicit plugins in this list are
org.eclipse.core.runtime and org.eclipse.equinox.ds).

The headless build runs quite successfully until to the step
"generate.p2.metadata". At this point we encounter a build-error that I
don't understand, because it looks very p2-specific. Let me add that I
don't even understand the first complaints for not finding
org.eclipse.core.runtime, org.eclipse.equinox.ds, and
org.eclipse.equinox.p2.reconciler.dropins. Unfortunately PDE build
errors contain often a lot of misleading error descriptions, so I'm not
sure yet that these are "real" errors. Nevertheless the following
errors starting with "No repository found containing" look serious and
they stop the build progress completely. I do not understand them,
though. Our PDE-build has worked for years and the switch to
p2-enablement seems to cause major problems that I had not expected.

Is their something special to be aware of the "provisioning plan"?

Thanks in advance & Greetings from Bremen,

Daniel Krügler

[INFO] [eclipse.idReplacer] Could not find org.eclipse.core.runtime
[INFO] [eclipse.idReplacer] Could not find org.eclipse.equinox.ds
[INFO] [eclipse.idReplacer] Could not find
org.eclipse.equinox.p2.reconciler.dropins
[INFO] [p2.mirror] Problems resolving provisioning plan.
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to org.eclipse.ui.carbon
[4.0.100.M20100825-0800].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to org.eclipse.ui.cocoa
[1.0.2.M20100825-0800].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.win32.win32.x86_64 [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.gtk.linux.x86 [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.gtk.linux.s390x [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.gtk.linux.s390 [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.gtk.solaris.sparc [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.gtk.solaris.x86 [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.gtk.linux.ppc [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.gtk.linux.ppc64 [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.gtk.linux.x86_64 [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.carbon.macosx [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.carbon.macosx [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.cocoa.macosx [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.cocoa.macosx [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.cocoa.macosx.x86_64 [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.motif.aix.ppc [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.motif.hpux.ia64_32 [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.motif.linux.x86 [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.motif.solaris.sparc [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.swt.photon.qnx.x86 [3.6.1.v3655c].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.gtk.solaris.sparc [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.gtk.solaris.x86 [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.carbon.macosx [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.carbon.macosx [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.cocoa.macosx [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.cocoa.macosx [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.cocoa.macosx.x86_64 [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.gtk.linux.ppc [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.gtk.linux.ppc64 [1.0.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.gtk.linux.x86 [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.gtk.linux.s390x [1.1.1.R36x_v20100823].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.gtk.linux.s390 [1.1.1.R36x_v20100823].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.motif.linux.x86 [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.gtk.linux.x86_64 [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.motif.aix.ppc [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.motif.hpux.ia64_32 [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Unable to satisfy dependency from
org.eclipse.rcp.feature.group
3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to
org.eclipse.equinox.launcher.win32.win32.x86_64 [1.1.1.R36x_v20100810].
[INFO] [p2.mirror] Messages while mirroring artifact descriptors.
[INFO]
[INFO] assemble.org.eclipse.pde.build.container.feature.win32.win32 .x86:
[INFO]
[INFO] main:
[INFO] [mkdir] Created dir:
D:\data\hudson-build\jobs\XX-Client-2.2\workspace\target\I.x x-client
[INFO]
[INFO] runDirector.condition:
[INFO]
[INFO] runDirector:
[INFO]
[INFO] mirrorProduct:
[INFO]
[INFO] assemble.archive.condition:
[INFO]
[INFO] assemble.archive:
[INFO]
[INFO] cleanup.assembly:
[INFO]
[INFO] postAssemble:
[INFO]
[INFO] package:
[INFO]
[INFO] prePackage:
[INFO]
[INFO] allElements:
[INFO]
[INFO] allElementsDelegator:
[INFO]
[INFO] init:
[INFO]
[INFO] packageElement:
[INFO]
[INFO] main:
[INFO]
[INFO] assemble.org.eclipse.pde.build.container.feature.win32.win32 .x86:
[INFO]
[INFO] main:
[INFO]
[INFO] runDirector:
[INFO]
[INFO] runDirector:
[INFO] [p2.director] Installing de.bdal.xx.client.ui.ide 0.0.0.
[INFO] [p2.director] Installation failed.
[INFO] [p2.director] An error occurred while collecting items to be
installed
[INFO] [p2.director] session context was:(profile=profile,
phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=,
action=).
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.core.net,1.2.100.I20100511-0800
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.ecf,3.1.0.v20100529-0735
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.ecf.filetransfer,4.0.0.v20100529-073 5
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.ecf.identity,3.1.0.v20100529-0735
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.ecf.provider.filetransfer,3.1.0.v201 00529-0735
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.concurrent,1.0.100.v20100503
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.frameworkadmin,2.0.0.v201005 03
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.frameworkadmin.equinox,1.0.2 00.v20100505
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.p2.garbagecollector,1.0.100. v20100503
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.p2.jarprocessor,1.0.200.v201 00503a
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.p2.publisher,1.1.2.v20100824 -2220
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.security,1.0.200.v20100503
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.simpleconfigurator.manipulat or,2.0.0.v20100503
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.sat4j.core,2.2.0.v20100429
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.sat4j.pb,2.2.0.v20100429
[INFO] [p2.director] An error occurred while collecting items to be
installed
[INFO] [p2.director] session context was:(profile=profile,
phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=,
action=).
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.core.net,1.2.100.I20100511-0800
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.ecf,3.1.0.v20100529-0735
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.ecf.filetransfer,4.0.0.v20100529-073 5
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.ecf.identity,3.1.0.v20100529-0735
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.ecf.provider.filetransfer,3.1.0.v201 00529-0735
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.concurrent,1.0.100.v20100503
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.frameworkadmin,2.0.0.v201005 03
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.frameworkadmin.equinox,1.0.2 00.v20100505
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.p2.garbagecollector,1.0.100. v20100503
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.p2.jarprocessor,1.0.200.v201 00503a
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.p2.publisher,1.1.2.v20100824 -2220
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.security,1.0.200.v20100503
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.eclipse.equinox.simpleconfigurator.manipulat or,2.0.0.v20100503
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.sat4j.core,2.2.0.v20100429
[INFO] [p2.director] No repository found containing:
osgi.bundle,org.sat4j.pb,2.2.0.v20100429
[INFO] A problem occured while invoking the director.
[INFO]
[INFO] BUILD FAILED
[INFO]
D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.build_3.6.1.R36x_v20100823\scripts\productBuild\pr oductBuild.xml:45:
The following error occurred while executing this line:
[INFO]
D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.build_3.6.1.R36x_v20100823\scripts\build.xml:129:
The following error occurred while executing this line:
[INFO]
D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.build_3.6.1.R36x_v20100823\templates\headless-buil d\customTargets.xml:12:
The following error occurred while executing this line:
[INFO]
D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.build_3.6.1.R36x_v20100823\scripts\productBuild\al lElements.xml:20:
The following error occurred while executing this line:
[INFO]
D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.build_3.6.1.R36x_v20100823\scripts\genericTargets. xml:193:
The following error occurred while executing this line:
[INFO]
D:\data\hudson-build\jobs\XX-Client-2.2\workspace\target\pac kage.org.eclipse.pde.build.container.feature.all.xml:25:
The following error occurred while executing this line:
[INFO]
D:\data\hudson-build\jobs\XX-Client-2.2\workspace\target\pac kage.org.eclipse.pde.build.container.feature.all.xml:15:
The following error occurred while executing this line:
[INFO]
D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.build_3.6.1.R36x_v20100823\scripts\productBuild\al lElements.xml:54:
The following error occurred while executing this line:
[INFO]
D:\data\hudson-build\jobs\XX-Client-2.2\workspace\target\pac kage.org.eclipse.pde.build.container.feature.win32.win32.x86 .xml:90:
The following error occurred while executing this line:
[INFO]
D:\data\hudson-build\jobs\XX-Client-2.2\workspace\target\pac kage.org.eclipse.pde.build.container.feature.win32.win32.x86 .xml:912:
The following error occurred while executing this line:
[INFO]
D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.build_3.6.1.R36x_v20100823\scripts\genericTargets. xml:237:
A problem occured while invoking the director.
[INFO]
Re: Problems during first steps with p2.gathering=true [message #641962 is a reply to message #641385] Mon, 29 November 2010 11:46 Go to previous messageGo to next message
Daniel Krügler is currently offline Daniel Krügler
Messages: 853
Registered: July 2009
Senior Member
On 11/25/2010 10:42, Daniel Krügler wrote:
> Since years we have a well-working (non-p2) headless PDE build of a
> product-based RCP application. We used Eclipse 3.3 as the builder, even
> though we were always using the most recent Eclipse version in our RCP
> program. Recently we also switched to Eclipse 3.6.1 as builder tool and
> as target platform of our RCP. No problems so far.
>
> Now we would like to take advantage of the p2-dropins (but don't want to
> make any other p2-related features visible in the UI) and thus want to
> activate p2.gathering=true as suggested in the article:
>
> http://aniefer.blogspot.com/2009/03/building-p2-rcp-products -in-eclipse.html

Has anyone successfully converted an old PDE-Build project
(product-based and using features based on Eclipse 3.6.1) into a
p2-PDE-Build? I don't want to use any features accept that I want to
have the old capability back to merge a plugin set afterwards into the
product. Without any hacks I expected that I should use p2-build and to
"merge" the additional plugins into the dropins folder. Problem is, that
there seems no easy transition possible. My expectation that simply
adding the property p2.gathering=true to the build properties would
suffice, failed.

I would appreciate any suggestions!

Thanks and Greetings from Bremen,

Daniel Krügler
Re: Problems during first steps with p2.gathering=true [message #658103 is a reply to message #641385] Sun, 06 March 2011 13:23 Go to previous message
Antonel Ernest Pazargic is currently offline Antonel Ernest Pazargic
Messages: 69
Registered: July 2009
Member
Does the target definition contain the "org.eclipse.equinox.p2.user.ui"?=


Could you try mirroring this p2 feature using the example here =

" http://help.eclipse.org/helios/index.jsp?topic=3D/org.eclips e.platform.=
doc.isv/guide/p2_repositorytasks.htm" =

and then add it to your target?

Regards

jtonic


On Thu, 25 Nov 2010 11:42:43 +0200, Daniel Kr=FCgler <dsp@bdal.de> wrote=
:

> Since years we have a well-working (non-p2) headless PDE build of a =

> product-based RCP application. We used Eclipse 3.3 as the builder, eve=
n =

> though we were always using the most recent Eclipse version in our RCP=
=

> program. Recently we also switched to Eclipse 3.6.1 as builder tool an=
d =

> as target platform of our RCP. No problems so far.
>
> Now we would like to take advantage of the p2-dropins (but don't want =
to =

> make any other p2-related features visible in the UI) and thus want to=
=

> activate p2.gathering=3Dtrue as suggested in the article:
>
> http://aniefer.blogspot.com/2009/03/building-p2-rcp-products -in-eclips=
e.html
>
> We also did the following changes:
>
> 1) We added to the plug-in list of our RCP feature the plug-in
> org.eclipse.equinox.p2.reconciler.dropins and all it's computed =

> dependent plug-ins.
>
> 2) We added org.eclipse.equinox.p2.reconciler.dropins to the =

> configuration section of our .product file with autostart set to true
> and the default start-level (other explicit plugins in this list are
> org.eclipse.core.runtime and org.eclipse.equinox.ds).
>
> The headless build runs quite successfully until to the step =

> "generate.p2.metadata". At this point we encounter a build-error that =
I =

> don't understand, because it looks very p2-specific. Let me add that I=
=

> don't even understand the first complaints for not finding
> org.eclipse.core.runtime, org.eclipse.equinox.ds, and =

> org.eclipse.equinox.p2.reconciler.dropins. Unfortunately PDE build =

> errors contain often a lot of misleading error descriptions, so I'm no=
t =

> sure yet that these are "real" errors. Nevertheless the following
> errors starting with "No repository found containing" look serious and=
=

> they stop the build progress completely. I do not understand them, =

> though. Our PDE-build has worked for years and the switch to =

> p2-enablement seems to cause major problems that I had not expected.
>
> Is their something special to be aware of the "provisioning plan"?
>
> Thanks in advance & Greetings from Bremen,
>
> Daniel Kr=FCgler
>
> [INFO] [eclipse.idReplacer] Could not find org.eclipse.core.runtime
> [INFO] [eclipse.idReplacer] Could not find org.eclipse.equinox.ds
> [INFO] [eclipse.idReplacer] Could not find =

> org.eclipse.equinox.p2.reconciler.dropins
> [INFO] [p2.mirror] Problems resolving provisioning plan.
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to org.eclipse.ui.carbon=
=

> [4.0.100.M20100825-0800].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to org.eclipse.ui.cocoa =
=

> [1.0.2.M20100825-0800].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.win32.win32.x86_64 [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.gtk.linux.x86 [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.gtk.linux.s390x [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.gtk.linux.s390 [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.gtk.solaris.sparc [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.gtk.solaris.x86 [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.gtk.linux.ppc [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.gtk.linux.ppc64 [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.gtk.linux.x86_64 [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.carbon.macosx [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.carbon.macosx [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.cocoa.macosx [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.cocoa.macosx [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.cocoa.macosx.x86_64 [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.motif.aix.ppc [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.motif.hpux.ia64_32 [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.motif.linux.x86 [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.motif.solaris.sparc [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.swt.photon.qnx.x86 [3.6.1.v3655c].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.gtk.solaris.sparc [1.1.1.R36x_v20100810].=

> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.gtk.solaris.x86 [1.1.1.R36x_v20100810].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.carbon.macosx [1.1.1.R36x_v20100810].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.carbon.macosx [1.1.1.R36x_v20100810].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.cocoa.macosx [1.1.1.R36x_v20100810].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.cocoa.macosx [1.1.1.R36x_v20100810].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.cocoa.macosx.x86_64 [1.1.1.R36x_v20100810=
].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.gtk.linux.ppc [1.1.1.R36x_v20100810].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.gtk.linux.ppc64 [1.0.1.R36x_v20100810].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.gtk.linux.x86 [1.1.1.R36x_v20100810].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.gtk.linux.s390x [1.1.1.R36x_v20100823].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.gtk.linux.s390 [1.1.1.R36x_v20100823].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.motif.linux.x86 [1.1.1.R36x_v20100810].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.gtk.linux.x86_64 [1.1.1.R36x_v20100810].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.motif.aix.ppc [1.1.1.R36x_v20100810].
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.motif.hpux.ia64_32 [1.1.1.R36x_v20100810]=
..
> [INFO] [p2.mirror] Unable to satisfy dependency from =

> org.eclipse.rcp.feature.group =

> 3.6.1.r361_v20100827-9OArFLdFjY-ThSQXmKvKz0_T to =

> org.eclipse.equinox.launcher.win32.win32.x86_64 [1.1.1.R36x_v20100810]=
..
> [INFO] [p2.mirror] Messages while mirroring artifact descriptors.
> [INFO]
> [INFO] assemble.org.eclipse.pde.build.container.feature.win32.win32 .x8=
6:
> [INFO]
> [INFO] main:
> [INFO] [mkdir] Created dir: =

> D:\data\hudson-build\jobs\XX-Client-2.2\workspace\target\I.x x-client
> [INFO]
> [INFO] runDirector.condition:
> [INFO]
> [INFO] runDirector:
> [INFO]
> [INFO] mirrorProduct:
> [INFO]
> [INFO] assemble.archive.condition:
> [INFO]
> [INFO] assemble.archive:
> [INFO]
> [INFO] cleanup.assembly:
> [INFO]
> [INFO] postAssemble:
> [INFO]
> [INFO] package:
> [INFO]
> [INFO] prePackage:
> [INFO]
> [INFO] allElements:
> [INFO]
> [INFO] allElementsDelegator:
> [INFO]
> [INFO] init:
> [INFO]
> [INFO] packageElement:
> [INFO]
> [INFO] main:
> [INFO]
> [INFO] assemble.org.eclipse.pde.build.container.feature.win32.win32 .x8=
6:
> [INFO]
> [INFO] main:
> [INFO]
> [INFO] runDirector:
> [INFO]
> [INFO] runDirector:
> [INFO] [p2.director] Installing de.bdal.xx.client.ui.ide 0.0.0.
> [INFO] [p2.director] Installation failed.
> [INFO] [p2.director] An error occurred while collecting items to be =

> installed
> [INFO] [p2.director] session context was:(profile=3Dprofile, =

> phase=3Dorg.eclipse.equinox.internal.p2.engine.phases.Collec t, operand=
=3D, =

> action=3D).
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.core.net,1.2.100.I20100511-0800
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.ecf,3.1.0.v20100529-0735
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.ecf.filetransfer,4.0.0.v20100529-073 5
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.ecf.identity,3.1.0.v20100529-0735
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.ecf.provider.filetransfer,3.1.0.v201 00529-0735=

> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.concurrent,1.0.100.v20100503
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.frameworkadmin,2.0.0.v201005 03
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.frameworkadmin.equinox,1.0.2 00.v201005=
05
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.p2.garbagecollector,1.0.100. v20100503
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.p2.jarprocessor,1.0.200.v201 00503a
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.p2.publisher,1.1.2.v20100824 -2220
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.security,1.0.200.v20100503
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.simpleconfigurator.manipulat or,2.0.0.v=
20100503
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.sat4j.core,2.2.0.v20100429
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.sat4j.pb,2.2.0.v20100429
> [INFO] [p2.director] An error occurred while collecting items to be =

> installed
> [INFO] [p2.director] session context was:(profile=3Dprofile, =

> phase=3Dorg.eclipse.equinox.internal.p2.engine.phases.Collec t, operand=
=3D, =

> action=3D).
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.core.net,1.2.100.I20100511-0800
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.ecf,3.1.0.v20100529-0735
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.ecf.filetransfer,4.0.0.v20100529-073 5
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.ecf.identity,3.1.0.v20100529-0735
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.ecf.provider.filetransfer,3.1.0.v201 00529-0735=

> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.concurrent,1.0.100.v20100503
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.frameworkadmin,2.0.0.v201005 03
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.frameworkadmin.equinox,1.0.2 00.v201005=
05
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.p2.garbagecollector,1.0.100. v20100503
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.p2.jarprocessor,1.0.200.v201 00503a
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.p2.publisher,1.1.2.v20100824 -2220
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.security,1.0.200.v20100503
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.eclipse.equinox.simpleconfigurator.manipulat or,2.0.0.v=
20100503
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.sat4j.core,2.2.0.v20100429
> [INFO] [p2.director] No repository found containing: =

> osgi.bundle,org.sat4j.pb,2.2.0.v20100429
> [INFO] A problem occured while invoking the director.
> [INFO]
> [INFO] BUILD FAILED
> [INFO] =

> D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.=
build_3.6.1.R36x_v20100823\scripts\productBuild\productBuild .xml:45: =

> The following error occurred while executing this line:
> [INFO] =

> D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.=
build_3.6.1.R36x_v20100823\scripts\build.xml:129: =

> The following error occurred while executing this line:
> [INFO] =

> D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.=
build_3.6.1.R36x_v20100823\templates\headless-build\customTa rgets.xml:12=
: =

> The following error occurred while executing this line:
> [INFO] =

> D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.=
build_3.6.1.R36x_v20100823\scripts\productBuild\allElements. xml:20: =

> The following error occurred while executing this line:
> [INFO] =

> D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.=
build_3.6.1.R36x_v20100823\scripts\genericTargets.xml:193: =

> The following error occurred while executing this line:
> [INFO] =

> D:\data\hudson-build\jobs\XX-Client-2.2\workspace\target\pac kage.org.e=
clipse.pde.build.container.feature.all.xml:25: =

> The following error occurred while executing this line:
> [INFO] =

> D:\data\hudson-build\jobs\XX-Client-2.2\workspace\target\pac kage.org.e=
clipse.pde.build.container.feature.all.xml:15: =

> The following error occurred while executing this line:
> [INFO] =

> D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.=
build_3.6.1.R36x_v20100823\scripts\productBuild\allElements. xml:54: =

> The following error occurred while executing this line:
> [INFO] =

> D:\data\hudson-build\jobs\XX-Client-2.2\workspace\target\pac kage.org.e=
clipse.pde.build.container.feature.win32.win32.x86.xml:90: =

> The following error occurred while executing this line:
> [INFO] =

> D:\data\hudson-build\jobs\XX-Client-2.2\workspace\target\pac kage.org.e=
clipse.pde.build.container.feature.win32.win32.x86.xml:912: =

> The following error occurred while executing this line:
> [INFO] =

> D:\programs\eclipse-sdks\3.6.1.R36x_v20100823\plugins\org.ec lipse.pde.=
build_3.6.1.R36x_v20100823\scripts\genericTargets.xml:237: =

> A problem occured while invoking the director.
> [INFO]
>
>
>


-- =

Respect

jtonic
Previous Topic:New update is not detected even though it exists
Next Topic:After migrating to Eclipse Helios, updating my RCP fails
Goto Forum:
  


Current Time: Fri Oct 24 11:31:07 GMT 2014

Powered by FUDForum. Page generated in 0.01985 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software